---
- name: Add TimescaleDB to global config options list
  ansible.builtin.set_fact:
    postgresql_global_config_options: "{{ postgresql_global_config_options + [item] }}"
  loop:
    - option: shared_preload_libraries
      value: timescaledb
    - option: timescaledb.license
      value: timescale
    - option: timescaledb.max_background_workers
      value: "{{ (ansible_processor_vcpus - 2) | int | default(4) }}"
